Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(75)

Issue 2026533002: Utilize new mojo::UnwrapPlatformFile function (Closed)

Created:
4 years, 3 months ago by kcwu
Modified:
4 years, 3 months ago
CC:
chromium-reviews, piman+watch_chromium.org, posciak+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Utilize new mojo::UnwrapPlatformFile function Migrate to public api, which should be more stable than embedder api. BUG=none TEST=arc video still works Committed: https://crrev.com/8dbe47eb360b8cdec212900dc46da3e78ce3e018 Cr-Commit-Position: refs/heads/master@{#396782}

Patch Set 1 #

Total comments: 2

Patch Set 2 : fix comment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+6 lines, -6 lines) Patch
M chrome/gpu/gpu_arc_video_service.cc View 1 2 chunks +6 lines, -6 lines 0 comments Download

Messages

Total messages: 14 (7 generated)
kcwu
4 years, 3 months ago (2016-05-30 10:46:33 UTC) #3
Ken Rockot(use gerrit already)
lgtm https://codereview.chromium.org/2026533002/diff/1/chrome/gpu/gpu_arc_video_service.cc File chrome/gpu/gpu_arc_video_service.cc (right): https://codereview.chromium.org/2026533002/diff/1/chrome/gpu/gpu_arc_video_service.cc#newcode160 chrome/gpu/gpu_arc_video_service.cc:160: LOG(ERROR) << "PassWrappedPlatformHandle failed: " << mojo_result; nit: ...
4 years, 3 months ago (2016-05-30 14:58:51 UTC) #5
Pawel Osciak
lgtm
4 years, 3 months ago (2016-05-31 01:10:31 UTC) #6
kcwu
https://codereview.chromium.org/2026533002/diff/1/chrome/gpu/gpu_arc_video_service.cc File chrome/gpu/gpu_arc_video_service.cc (right): https://codereview.chromium.org/2026533002/diff/1/chrome/gpu/gpu_arc_video_service.cc#newcode160 chrome/gpu/gpu_arc_video_service.cc:160: LOG(ERROR) << "PassWrappedPlatformHandle failed: " << mojo_result; On 2016/05/30 ...
4 years, 3 months ago (2016-05-31 03:18:15 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2026533002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2026533002/20001
4 years, 3 months ago (2016-05-31 03:18:27 UTC) #10
commit-bot: I haz the power
Committed patchset #2 (id:20001)
4 years, 3 months ago (2016-05-31 04:15:02 UTC) #12
commit-bot: I haz the power
4 years, 3 months ago (2016-05-31 04:16:30 UTC) #14
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/8dbe47eb360b8cdec212900dc46da3e78ce3e018
Cr-Commit-Position: refs/heads/master@{#396782}

Powered by Google App Engine
This is Rietveld 408576698